components:
  schemas:
    SerialInterface_v1_0_11_BitRate:
      enum:
      - '1200'
      - '2400'
      - '4800'
      - '9600'
      - '19200'
      - '38400'
      - '57600'
      - '115200'
      - '230400'
      type: string
      x-enumDescriptions:
        '115200': A bit rate of 115200 bit/s.
        '1200': A bit rate of 1200 bit/s.
        '19200': A bit rate of 19200 bit/s.
        '230400': A bit rate of 230400 bit/s.
        '2400': A bit rate of 2400 bit/s.
        '38400': A bit rate of 38400 bit/s.
        '4800': A bit rate of 4800 bit/s.
        '57600': A bit rate of 57600 bit/s.
        '9600': A bit rate of 9600 bit/s.
    SerialInterface_v1_0_11_ConnectorType:
      enum:
      - RJ45
      - RJ11
      - DB9 Female
      - DB9 Male
      - DB25 Female
      - DB25 Male
      - USB
      - mUSB
      - uUSB
      type: string
      x-enumDescriptions:
        DB25 Female: A DB25 Female connector.
        DB25 Male: A DB25 Male connector.
        DB9 Female: A DB9 Female connector.
        DB9 Male: A DB9 Male connector.
        RJ11: An RJ11 connector.
        RJ45: An RJ45 connector.
        USB: A USB connector.
        mUSB: A mUSB connector.
        uUSB: A uUSB connector.
    SerialInterface_v1_0_11_DataBits:
      enum:
      - '5'
      - '6'
      - '7'
      - '8'
      type: string
      x-enumDescriptions:
        '5': Five bits of data following the start bit.
        '6': Six bits of data following the start bit.
        '7': Seven bits of data following the start bit.
        '8': Eight bits of data following the start bit.
    SerialInterface_v1_0_11_FlowControl:
      enum:
      - None
      - Software
      - Hardware
      type: string
      x-enumDescriptions:
        Hardware: Out-of-band flow control imposed.
        None: No flow control imposed.
        Software: XON/XOFF in-band flow control imposed.
    SerialInterface_v1_0_11_Parity:
      enum:
      - None
      - Even
      - Odd
      - Mark
      - Space
      type: string
      x-enumDescriptions:
        Even: An even parity bit.
        Mark: A mark parity bit.
        None: No parity bit.
        Odd: An odd parity bit.
        Space: A space parity bit.
    SerialInterface_v1_0_11_PinOut:
      enum:
      - Cisco
      - Cyclades
      - Digi
      type: string
      x-enumDescriptions:
        Cisco: The Cisco pinout configuration.
        Cyclades: The Cyclades pinout configuration.
        Digi: The Digi pinout configuration.
    SerialInterface_v1_0_11_SerialInterface:
      additionalProperties: false
      description: The SerialInterface schema describes an asynchronous serial interface,
        such as an RS-232 interface, available to a system or device.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        BitRate:
          $ref: '#/components/schemas/SerialInterface_v1_0_11_BitRate'
          description: The receive and transmit rate of data flow, typically in bits
            per second (bit/s), over the serial connection.
          readOnly: false
          x-longDescription: This property shall indicate the transmit and receive
            speed of the serial connection.
        ConnectorType:
          $ref: '#/components/schemas/SerialInterface_v1_0_11_ConnectorType'
          description: The type of connector used for this interface.
          readOnly: true
          x-longDescription: This property shall indicate the type of physical connector
            used for this serial connection.
        DataBits:
          $ref: '#/components/schemas/SerialInterface_v1_0_11_DataBits'
          description: The number of data bits that follow the start bit over the
            serial connection.
          readOnly: false
          x-longDescription: This property shall indicate number of data bits for
            the serial connection.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        FlowControl:
          $ref: '#/components/schemas/SerialInterface_v1_0_11_FlowControl'
          description: The type of flow control, if any, that is imposed on the serial
            connection.
          readOnly: false
          x-longDescription: This property shall indicate the flow control mechanism
            for the serial connection.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        InterfaceEnabled:
          description: An indication of whether this interface is enabled.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether this interface is
            enabled.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        Parity:
          $ref: '#/components/schemas/SerialInterface_v1_0_11_Parity'
          description: The type of parity used by the sender and receiver to detect
            errors over the serial connection.
          readOnly: false
          x-longDescription: This property shall indicate parity information for a
            serial connection.
        PinOut:
          $ref: '#/components/schemas/SerialInterface_v1_0_11_PinOut'
          description: The physical pinout configuration for a serial connector.
          nullable: true
          readOnly: true
          x-longDescription: This property shall indicate the physical pinout for
            the serial connector.
        SignalType:
          $ref: '#/components/schemas/SerialInterface_v1_0_11_SignalType'
          description: The type of signal used for the communication connection.
          readOnly: true
          x-longDescription: This property shall contain the type of serial signaling
            in use for the serial connection.
        StopBits:
          $ref: '#/components/schemas/SerialInterface_v1_0_11_StopBits'
          description: The period of time before the next start bit is transmitted.
          readOnly: false
          x-longDescription: This property shall indicate the stop bits for the serial
            connection.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a serial interface as part
        of the Redfish Specification.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    SerialInterface_v1_0_11_SignalType:
      enum:
      - Rs232
      - Rs485
      type: string
      x-enumDescriptions:
        Rs232: The serial interface follows RS232.
        Rs485: The serial interface follows RS485.
    SerialInterface_v1_0_11_StopBits:
      enum:
      - '1'
      - '2'
      type: string
      x-enumDescriptions:
        '1': One stop bit following the data bits.
        '2': Two stop bits following the data bits.
title: '#SerialInterface.v1_0_11.SerialInterface'
x-copyright: Copyright 2014-2021 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '1.0'
